# UpsertComplianceRunSummaryRequest

## Properties

| Name | Type | Required | Description |
|------|------|----------|-------------|
| **run_id** | [ResourceId](ResourceId.md) | Required | *No description available.* |
| **instigated_at** | **datetime** | Required | *No description available.* |
| **completed_at** | **datetime** | Required | *No description available.* |
| **schedule** | **str** | Required | Available values: None, PreTrade, PostTrade, PreAndPostTrade. |
| **results** | [List[ComplianceSummaryRuleResultRequest]](ComplianceSummaryRuleResultRequest.md) | Required | *No description available.* |


## Usage

### Creating from keyword arguments

```python
from finbourne.sdk.services.lusid.models.UpsertComplianceRunSummaryRequest import UpsertComplianceRunSummaryRequest

instance = UpsertComplianceRunSummaryRequest(
    run_id=ResourceId(...),  # required
    instigated_at=datetime.now(),  # required
    completed_at=datetime.now(),  # required
    schedule="...",  # required — Available values: None, PreTrade, PostTrade, PreAndPostTrade.
    results=[]  # required
)
```


## Related Models

- [ResourceId](ResourceId.md)
- [ComplianceSummaryRuleResultRequest](ComplianceSummaryRuleResultRequest.md)


[Back to top](#) · [Back to API list](../../api_endpoints.md) · [Back to Model list](../../models.md) · [Back to README](../../../../../README.md)

